Bug 1115033 - StoragePool_disconnect: disconnect() takes exactly 4 arguments (3 given)
Summary: StoragePool_disconnect: disconnect() takes exactly 4 arguments (3 given)
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: vdsm
Version: 3.5
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
: 3.5.0
Assignee: Nir Soffer
QA Contact: Petr Beňas
URL:
Whiteboard: infra
Depends On:
Blocks: 1073943
TreeView+ depends on / blocked
 
Reported: 2014-07-01 12:59 UTC by Nir Soffer
Modified: 2016-02-10 19:31 UTC (History)
10 users (show)

Fixed In Version: ovirt-3.5.0-beta1.1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-17 12:36:50 UTC
oVirt Team: Infra


Attachments (Terms of Use)
engine log (380.68 KB, application/x-xz)
2014-07-01 13:00 UTC, Nir Soffer
no flags Details
vdsm log (418.60 KB, application/x-xz)
2014-07-01 13:00 UTC, Nir Soffer
no flags Details


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 29465 master MERGED api: Make remove optional Never
oVirt gerrit 29480 ovirt-3.5 MERGED api: Make remove optional Never

Description Nir Soffer 2014-07-01 12:59:02 UTC
Description of problem:

Disconnection pool fails when using jsonrpc, leaving host in "Unassigned" state. In this state host cannot be changed to any state.

Version-Release number of selected component (if applicable):
vdsm-4.16.0-28.git981aad7.fc19.x86_64

How reproducible:
Always

The error in vdsm log:

Thread-2807::DEBUG::2014-07-01 14:01:57,324::__init__::463::jsonrpc.JsonRpcServer::(_serveRequest) Looking for method 'StoragePool_disconnect' in bridge
JsonRpcServer::DEBUG::2014-07-01 14:01:57,324::__init__::496::jsonrpc.JsonRpcServer::(serve_requests) Waiting for request
Thread-2807::ERROR::2014-07-01 14:01:57,325::__init__::484::jsonrpc.JsonRpcServer::(_serveRequest) Internal server error
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/yajsonrpc/__init__.py", line 480, in _serveRequest
    res = method(**params)
  File "/usr/share/vdsm/rpc/Bridge.py", line 239, in _dynamicMethod
    result = fn(*methodArgs)
TypeError: disconnect() takes exactly 4 arguments (3 given)
Thread-2807::DEBUG::2014-07-01 14:01:57,325::stompReactor::136::yajsonrpc.StompServer::(send) Sending response

Comment 1 Nir Soffer 2014-07-01 13:00:14 UTC
Created attachment 913754 [details]
engine log

Comment 2 Nir Soffer 2014-07-01 13:00:49 UTC
Created attachment 913755 [details]
vdsm log

Comment 3 Nir Soffer 2014-07-01 13:21:36 UTC
See also bug 1115044 - seems that engine cannot handle this failure.

Comment 4 Petr Beňas 2014-08-06 08:28:46 UTC
Pleaes provide steps to reproduce.

Comment 5 Nir Soffer 2014-09-08 13:13:06 UTC
(In reply to Petr Beňas from comment #4)
> Pleaes provide steps to reproduce.

1. Setup data center with one active host
2. Put host to maintenance

Expected:
host move to maintenance

Actual results:
host become unsigned, error in vdsm log

Comment 6 Petr Beňas 2014-09-08 15:44:36 UTC
in  oVirt Engine Version: 3.5.0-0.0.master.20140821064931.gitb794d66.el6

Comment 7 Sandro Bonazzola 2014-10-17 12:36:50 UTC
oVirt 3.5 has been released and should include the fix for this issue.


Note You need to log in before you can comment on or make changes to this bug.